import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSURL } from "../Foundation/NSURL.js";
export declare class _CIPlugIn extends _NSObject {
    static alloc(): _CIPlugIn;
    static new(): _CIPlugIn;
    init(): _CIPlugIn;
    /**
     * This call will scan for plugins with the extension .plugin in /Library/Graphics/Image Units ~Library/Graphics/Image Units If called more than once, newly added plug-ins will be loaded but you cannot remove a plug-in and its filters.
     * @deprecated
     */
    static loadAllPlugIns(): void;
    /**
     * Same as loadAllPlugIns does not load filters that contain executable code.
     * @deprecated
     */
    static loadNonExecutablePlugIns(): void;
    /**
     * Loads a plug-in specified by its URL.
     * @deprecated
     */
    static loadPlugIn$allowNonExecutable$(url: _NSURL, allowNonExecutable: boolean): void;
    /**
     * Loads a plug-in specified by its URL. If allowExecutableCode is NO, filters containing executable code will not be loaded. If YES, any kind of filter will be loaded.
     * @deprecated
     */
    static loadPlugIn$allowExecutableCode$(url: _NSURL, allowExecutableCode: boolean): void;
    /**
     * Loads a non-executable plug-in specified by its URL. If the filters containing executable code, it will not be loaded.
     */
    static loadNonExecutablePlugIn$(url: _NSURL): void;
}
